%define mod_name django-robots

Name:           python-%mod_name
Version:        0.8.0
Release:        %mkrel 3
Summary:        Robots exclusion application for Django, complementing Sitemaps
Group:          Development/Python
License:        BSD
URL:            http://pypi.python.org/pypi/%{mod_name}
Source0:        http://pypi.python.org/packages/source/d/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python-devel  
BuildRequires:  gettext
Requires:       python-django

%description
Django application to manage robots.txt files following the robots exclusion 
protocol, complementing the Django Sitemap contrib app.

%prep
%setup -q -n %{mod_name}-%version
# remove AppleDouble encoded Macintosh file. Informed upstream
rm docs/._overview.txt
%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Language files; not under /usr/share, need to be handled manually
(cd $RPM_BUILD_ROOT && find . -name 'django.?o') | sed -e 's|^.||' | sed -e \
  's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst docs/ 
# list some files explicitly to avoid listing locale files twice
%{python_sitelib}/robots/*.py*
%{python_sitelib}/robots/templates/robots/rule_list.html
%{python_sitelib}/django_robots*.egg-info



%changelog
* Wed Apr 27 2011 ennael <ennael> 0.8.0-3.mga1
+ Revision: 92210
- fix typo in requirs

* Tue Apr 26 2011 misc <misc> 0.8.0-2.mga1
+ Revision: 91727
- fix Group

* Tue Apr 26 2011 misc <misc> 0.8.0-1.mga1
+ Revision: 91719
- imported package python-django-robots


* Tue Apr 26 2011 Michael Scherer <misc@zarb.org> - 0.8.0-1.mga1
- adapt spec from Fedora

* Thu Apr 14 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.8.0-1
- initial spec
